/* -*- Mode: c; tab-width: 4; -*-
 * -*- ex: ts=4 -*-
 */

/*
 * Copyright 2007 VIT Ltd. All rights reserved.
 * VIT PROPRIETARY/CONFIDENTIAL.
 *
 * $Id$
 */

/*
 * devType.h	(N.Panasiuk)
 * include/Vodi/devType.h
 */

/* ------------------------------------------------------------------------- */

#ifndef __VODI_DEVTYPE__
# define __VODI_DEVTYPE__

/******************************************************************************
 * %% BeginSection: includes
 */

# ifndef __BO_SYS_TYPES__
#  include <Bo/sys/Types.h>
# endif

/******************************************************************************
 * %% BeginSection: type/constant declarations
 */
# pragma mark -
# pragma mark [ type/constant declarations ]
# pragma mark -

/*
 * Well-known device types
 */

enum vodi_devtyp {
	VodiK_CPU_DEV = 0,
	VodiK_iGPU_DEV,  /* Intel GPU */
# define VodiK_GPU_DEV VodiK_iGPU_DEV  /* for compat */
	VodiK_MYRIAD_DEV,

	VodiK_NVGPU_DEV, /* NVIDIA GPU */
	VodiK_NVDLA_DEV, /* NVIDIA Deep Learning Accelerator */

	VodiK_HDDL_DEV, /* Intel Vision Accelerator Design with Intel Movidius VPUs */

	VodiL_NDEVTYPES
};
# if __myc_option(enum_always_int)
typedef enum vodi_devtyp vodi_devtyp_t;
# else
typedef int vodi_devtyp_t;
# endif

#endif /* !defined(__VODI_DEVTYPE__) */

/******************************************************************************
 *
 *
 *
 *****************************************************************************/
